Search products
curl --request GET \
--url https://api.komerza.com/stores/{storeId}/products/search/{query} \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.komerza.com/stores/{storeId}/products/search/{query}"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.komerza.com/stores/{storeId}/products/search/{query}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"success": true,
"pages": 123,
"data": [
{
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"dateCreated": "2023-11-07T05:31:56Z",
"variants": [
{
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"dateCreated": "2023-11-07T05:31:56Z",
"name": "<string>",
"productId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"storeId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"cost": 50000,
"deliveryTypes": [
"<string>"
],
"files": [
{
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"dateCreated": "2023-11-07T05:31:56Z",
"friendlyName": "<string>",
"ipAddress": "<string>",
"userId": "<string>"
}
],
"minimumQuantity": 123,
"maximumQuantity": 123,
"order": 123,
"imageNames": [
"<string>"
],
"stock": 123,
"customFields": [
{
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"dateCreated": "2023-11-07T05:31:56Z",
"variantId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"label": "<string>",
"identifier": "<string>",
"type": "<string>",
"isRequired": true,
"options": [
{
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"dateCreated": "2023-11-07T05:31:56Z",
"customFieldId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"label": "<string>",
"value": "<string>",
"order": 1073741823
}
],
"placeholder": "<string>",
"hint": "<string>"
}
],
"volumeDiscounts": [
{
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"dateCreated": "2023-11-07T05:31:56Z",
"variantId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"quantity": 1073741824,
"discountValue": 50000
}
],
"disableVolumeDiscountOnCoupon": true,
"randomizeKeyDelivery": true,
"description": "<string>",
"dynamicUrl": "<string>",
"deliveryMessage": "<string>",
"metadata": "<string>",
"customIntervalDays": 123
}
],
"badges": [
{
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"dateCreated": "2023-11-07T05:31:56Z",
"productId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"label": "<string>",
"order": 123,
"color": "<string>"
}
],
"name": "<string>",
"description": "<string>",
"imageNames": [
"<string>"
],
"storeId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"userId": "<string>",
"shouldBlockVpns": true,
"order": 123,
"isBestSeller": true,
"hideStock": true,
"blacklistedPaymentGateways": [
"<string>"
],
"additionalFees": {},
"additionalFixedFees": {},
"slug": "<string>",
"metaDescription": "<string>",
"metadata": "<string>",
"customAffiliateDiscountPercentage": 50,
"subscriptionAllowPause": true,
"subscriptionMaxPauseDurationDays": 123,
"subscriptionMaxPauseCount": 123,
"subscriptionAllowCancel": true,
"subscriptionAllowReactivate": true,
"subscriptionGracePeriodDays": 123,
"subscriptionRevokeOnExpiry": true,
"subscriptionApplyGracePeriodOnManualRenewal": true
}
]
}{
"success": true,
"message": "<string>",
"code": "<string>",
"data": "<unknown>"
}{
"success": true,
"message": "<string>",
"code": "<string>",
"data": "<unknown>"
}{
"success": true,
"message": "<string>",
"code": "<string>",
"data": "<unknown>"
}Products
Search Products
Searches products by query within the store.
Requires the stores.products.view permission.
GET
/
stores
/
{storeId}
/
products
/
search
/
{query}
Search products
Filterable Fields
This endpoint supports filtering and sorting. See the Filtering & Sorting Guide for syntax details.| Field | Type | Description |
|---|---|---|
visibility | integer | Filter by privacy level. See Product Privacy |
isBestSeller | boolean | Filter best-seller products |
shouldBlockVpns | boolean | Filter products that block VPNs |
lowStock | boolean | Filter products with low stock availability |
# Public best-sellers with low stock
GET /stores/{storeId}/products?filters=visibility==0,isBestSeller==true,lowStock==true
# Products that don't block VPNs
GET /stores/{storeId}/products?filters=shouldBlockVpns==false
Authorizations
Your API key goes here
Path Parameters
The ID of the store to search in.
The search query.
Query Parameters
Filter by visibility (Public / Unlisted / Private / OnHold). List of product visibility (or privacy) levels
Available options:
0, 1, 2, 3 Show only best-sellers (true) or non-best-sellers (false).
Filter on whether VPNs are blocked for the product.
Filter by products that have low stock availability.
Required range:
1 <= x <= 2147483647Required range:
1 <= x <= 2147483647Response
The object was successfully returned.
Represents a paginated response returned from API endpoints, which contains the paginated data and metadata about the pagination.
Last modified on August 2, 2026
⌘I